v1 Chart Detail
curl --request GET \
--url http://api.globalwebindex.com/v1/charts/{id} \
--header 'Authorization: <api-key>'import requests
url = "http://api.globalwebindex.com/v1/charts/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('http://api.globalwebindex.com/v1/charts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"attributes": [
{
"datapoint_code": "<string>",
"namespace_code": "<string>",
"question_code": "<string>",
"suffix_code": "<string>"
}
],
"audiences": [
{
"color_index": 123,
"expression": {
"and": "<array>",
"datapoints": [
"<string>"
],
"min_count": 123,
"not": true,
"or": "<array>",
"question": "<string>",
"suffixes": [
"<unknown>"
]
},
"id": "<string>",
"is_hidden": true,
"name": "<string>"
}
],
"base_audience": {
"color_index": 123,
"expression": {
"and": "<array>",
"datapoints": [
"<string>"
],
"min_count": 123,
"not": true,
"or": "<array>",
"question": "<string>",
"suffixes": [
"<unknown>"
]
},
"id": "<string>",
"is_hidden": true,
"name": "<string>"
},
"color": "<string>",
"created_at": 123,
"dataset_codes": [
"<string>"
],
"dataset_names": [
"<string>"
],
"folder_id": "<string>",
"group_type": 123,
"id": "<string>",
"is_owner": true,
"is_public": true,
"is_shared": true,
"location_codes": [
"<string>"
],
"metrics": [
"<string>"
],
"name": "<string>",
"owner_email": "<string>",
"owner_id": 123,
"segmented_base": true,
"segments": [
"<string>"
],
"shared_at": 123,
"shared_type": "<string>",
"sort_parameter_type": 123,
"sort_parameter_value": "<string>",
"sort_type": 123,
"splitter": "<string>",
"updated_at": 123,
"view_type": 123,
"wave_codes": [
"<string>"
]
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}{
"code": 123,
"message": "<string>"
}Charts
v1 Chart Detail
Get user’s chart detail based on given JWT token and chart id.
GET
/
v1
/
charts
/
{id}
v1 Chart Detail
Authorizations
JWT token for authentication
Path Parameters
Chart id.
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I

